Subject: bug#60023: closed (Re: bug#60023: [wishlist] cyrillic-chuvash input method)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Dec 2022 20:09:02 +0000

Your bug report

#60023: [wishlist] cyrillic-chuvash input method

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60023: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60023
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60023: [wishlist] cyrillic-chuvash input method
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 16 Dec 2022 22:08:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 14 Dec 2022 18:28:02 +0100 (CET)
> From: [email-masked]
> Cc: [email-masked]
> 
> Dec 14, 2022, 15:33 by [email-masked]:
> 
> > Are you sure it is a good idea to use Çç?  It will cause Emacs to
> > consider, e.g., абвгҪҫÇçҪҫабвг, as 3 words, not one word, for the
> > purposes of cursor motion commands, like M-f and C-<LEFT>.  That's
> > because Emacs always stops these movement commands when text switches
> > to a different script, and here we will have a switch from Cyrillic to
> > Latin and back.
> >
> > So maybe we should use Ҫҫ after all?
> >
> Oh, I didn't know that. Hm… I guess Cyrillic ones work too then, if it can't be overriden on input method level.

OK, I've now installed this on the emacs-29 branch, using the Cyrillic
characters, and I'm marking this bug done.

Thanks.

Subject: [wishlist] cyrillic-chuvash input method
From: [email-masked]
To: Bug Gnu Emacs <[email-masked]>
Date: Mon, 12 Dec 2022 17:15:43 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Please include a Chuvash (CV) input method (the one attached or something similar) in Emacs. I've created it based on "russian-computer" input method. I use it in my init.el and it is working, though I'm new to Emacs and somewhat unsure where and how it should properly be placed (inside other cyrillic ones, likely).

 It is almost all cyrillic, however Çç characters are Latin (letter c with cedilla), because there is actually no cyrillic С with a cedilla in Unicode. There are Ҫҫ (cyrillic letter es with descender), however they are unreliable as they often look wrong in practice:

• Bashkir, Chuvash
• letterforms with right hooks are preferred, although occasional variants with left hooks occur
• in Chuvashia, letterforms identical to or similar in form to 00E7 ç regularly occur
(from Unicode PDF on Cyrillic range)

Maybe it's simply a misnomer and half the world got it wrong, or not. I have no idea.